<?php
session_start();
include_once '../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

$pedidos = $_GET['pedidos'];
$clientes = $_GET['clientes'];
$usuario = $_GET['usuario'];

$sql = "SELECT idperiodo FROM periodo WHERE usuario = '$usuario' AND diaperiodo = 'Aberto'";
$rs = mysqli_query($db, $sql);
if (mysqli_num_rows($rs) > 0) {
	while ($dados = mysqli_fetch_array($rs)) {
		$idperiodo = $dados['idperiodo'];
		$desc = "$pedidos - $clientes - $usuario : $data_hora";
		$sql = "INSERT INTO `devolucao`(`descricao`, `valor`, `idpedido`, `idcliente`, `iduser`, `idperiodo`) VALUES ('$desc', 0, '$pedidos', '$clientes', '$usuario', '$idperiodo')";
		$rs = mysqli_query($db, $sql);
		if ($rs > 0) {
			$sql = "SELECT MAX(id) as id FROM devolucao WHERE iduser = '$usuario' AND idpedido = '$pedidos' AND idcliente = '$clientes'";
			$rs = mysqli_query($db, $sql);
			$dd = mysqli_fetch_array($rs);
			$id = $dd['id'];
			if ($rs > 0) {
				echo $id;
			}
		}
	}
}
